import { type AxiosResponse, type AxiosRequestConfig } from 'axios';
export declare namespace UseDownloadNS {
    interface Params {
        link: string;
        fileName?: string;
        downloadOnMount?: boolean;
        requestOptions?: AxiosRequestConfig;
        onFailure?: (error?: any) => void;
        onSuccess?: (response: AxiosResponse) => void;
        onWillDownload?: () => void;
    }
}
export declare const useDownload: ({ link, downloadOnMount, fileName, onFailure, onSuccess, requestOptions, onWillDownload, }: UseDownloadNS.Params) => {
    isDownloading: boolean;
    handleDownload: () => Promise<void>;
    totalLength: number;
    receivedLength: number;
    progress: number;
};
