import { FC, ReactNode } from 'react';
import { KhayyamNS } from 'omar-khayyam';
import { AlertProps, ButtonProps } from 'reactstrap';
import { DatedNS } from '../../utilities';
export declare const Btn: FC<ButtonProps>;
export declare const Title: FC<AlertProps>;
interface ByCalendarsProps {
    children: (calendar: KhayyamNS.Calendars, index: number) => ReactNode;
    title?: string;
}
export declare const ByCalendars: FC<ByCalendarsProps>;
export interface DateSelectorData {
    year: number;
    month: number;
    day: number;
    hour: number;
    minute: number;
    second: number;
    millisecond: number;
}
export interface DateSelectorProps {
    calendar: KhayyamNS.Calendars;
    year?: boolean;
    month?: boolean;
    day?: boolean;
    hour?: boolean;
    minute?: boolean;
    second?: boolean;
    millisecond?: boolean;
    children?: (params: Omit<DatedNS.DateNS.DateOnly, 'weekDay'>) => ReactNode;
    showCalendarName?: boolean;
    onWrite?: (data: DateSelectorData) => void;
}
export declare const DateSelector: FC<DateSelectorProps>;
export {};
