import { KhayyamNS } from 'omar-khayyam';
import { DatedNS } from './types';
import * as utils from './utilities';
export declare class Dated {
    private _dated;
    private _locale;
    private readonly _calendar;
    private readonly _khayyam;
    private readonly _formats;
    constructor();
    constructor(date: DatedNS.DateNS.DateInput, calendar: KhayyamNS.Calendars, locale?: DatedNS.LocaleNS.Locales);
    private readonly _convertTo;
    newDate(): Date;
    newDate(...args: Parameters<DatedNS.DateNS.Now.Overload1>): Date;
    newDate(...args: Parameters<DatedNS.DateNS.Now.Overload2>): Date;
    toGregorian: () => Dated;
    toIslamic: () => Dated;
    toJalali: () => Dated;
    to: (calendar: KhayyamNS.Calendars) => Dated;
    subtract: (count: number, duration: DatedNS.DateNS.Durations) => this;
    add: (count: number, duration: DatedNS.DateNS.Durations) => this;
    jumpTo(to: utils.JumpToNS.Params['to'], newValue: number): this;
    setLocale: (locale: DatedNS.LocaleNS.Locales) => this;
    format: DatedNS.FormatNS.Format;
    isEqual: (date: DatedNS.DateNS.DateInput, checkOptions?: utils.IsEqualNS.CheckOptions) => boolean;
    isBefore: (date: DatedNS.DateNS.DateInput, checkType?: utils.IsBeforeOrAfterNS.CheckType) => boolean;
    isBeforeOrEqual: (date: DatedNS.DateNS.DateInput, checkType?: utils.IsBeforeOrAfterNS.CheckType) => boolean;
    isAfter: (date: DatedNS.DateNS.DateInput, checkType?: utils.IsBeforeOrAfterNS.CheckType) => boolean;
    isAfterOrEqual: (date: DatedNS.DateNS.DateInput, checkType?: utils.IsBeforeOrAfterNS.CheckType) => boolean;
    isBetween: (dates: [DatedNS.DateNS.DateInput, DatedNS.DateNS.DateInput], checkType?: utils.IsBetweenNS.CheckType) => boolean;
    isBetweenOrEqual: (dates: [DatedNS.DateNS.DateInput, DatedNS.DateNS.DateInput], checkType?: utils.IsBetweenNS.CheckType) => boolean;
    get dated(): DatedNS.DateNS.Dated;
    get toDate(): Date;
    get isLeapYear(): boolean;
    get events(): DatedNS.EventsNS.EventsByCalendar;
    get daysPerMonths(): number[];
    get daysInMonth(): number;
    get getDayOfYear(): number;
    get calendarInfo(): DatedNS.LocaleNS.Locale;
    static now: () => Date;
}
export { DatedNS } from './types';
